<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetServerData](./bitburner.darknetserverdata.md) &gt; [requiredCharismaSkill](./bitburner.darknetserverdata.requiredcharismaskill.md)

## DarknetServerData.requiredCharismaSkill property

The charisma skill required to heartbleed the server

**Signature:**

```typescript
requiredCharismaSkill: number;
```
